use egui_extras::{Column, TableBuilder};

use super::details::Details;
use super::overview::Overview;
use super::Player;

#[derive(Clone, PartialEq, Debug)]
pub enum MainPanel {
    Details(Details),
    Overview(Overview),
}

impl MainPanel {
    pub(crate) fn ui(&self, ui: &mut egui::Ui, ctx: &egui::Context, player: &mut Player) {
        match self {
            Self::Overview(ov) => ov.ui(ui, ctx, player),
            Self::Details(dt) => dt.ui(ui, ctx, player),
        }
    }
}

impl Default for MainPanel {
    fn default() -> Self {
        Self::Overview(Overview::default())
    }
}
